> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/~/revisions/1AlFSZBNMIBgs7fiOwFD/managed-services/monitoring-as-a-service/api-how-tos/page-1.md).

# Grafana Integration

Grafana is an open source platform for data visualization, monitoring and analysis. You may integrate this software with the Monitoring as a Service for more convenient use.

1. Go to the [API reference](https://api.ionos.com/docs/monitoring/v1/)
2. Install [grafana](https://grafana.com/docs/grafana/latest/installation/debian/)
3. Generate the first token
4. curl -uusername:password <https://api.ionos.com/auth/v1/tokens/generate> or -n if you use [netrc](https://everything.curl.dev/usingcurl/netrc)
5. It is also possible to query the metrics using curl:

curl -H "Authorization: Bearer ${TOKEN}" <https://api.ionos.com/telemetry/api/v1/query?query=instance_cpu_utilization_average>

#### Add data source to Grafana <a href="#maasapigrafana-adddatasourcetografana" id="maasapigrafana-adddatasourcetografana"></a>

* Login to Grafana
* Configuration (on the left side)
* Data source

![](https://1737632334-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MifAzdGvKLDTtvJP8sm%2Fuploads%2Fgit-blob-f363c2c685557729ccb74031401183ccb5aa612a%2Fgrafana_integration.png?alt=media)

#### Data source

URL: <https://api.ionos.com/telemetry/>

Custom HTTP Headers

Header: Authorization Value: Bearer eyJ0eXAiOiJK....

HTTP Method: POST

Save & Test

* Go to Explore (on the left side)
* Choose the new Data source
* In the **Metrics Browser,** write instance
* Choose one of the metrics
* Run query

![](https://1737632334-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MifAzdGvKLDTtvJP8sm%2Fuploads%2Fgit-blob-daa165fba7952281180dba0a9927f40be7041f0f%2Fgrafana_integration_2.png?alt=media)

You can query on these metrics now:

**series whitelist**:

`- instance_cpu_utilization_average`

`- instance_network_in_packets`

`- instance_network_out_bytes`

`- instance_network_in_bytes`

`- instance_network_out_packets`

`- instance_volumes_read_bytes`

`- instance_volumes_write_bytes`

`- instance_volumes_read_ops`

`- instance_volumes_write_ops`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ionos.com/cloud/~/revisions/1AlFSZBNMIBgs7fiOwFD/managed-services/monitoring-as-a-service/api-how-tos/page-1.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
